<?php
session_start();
require_once 'config.php';

// Bejelentkezés ellenőrzése
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['login'])) {
    $username = $_POST['username'];
    $password = $_POST['password'];
    
    if ($username === ADMIN_USERNAME && $password === ADMIN_PASSWORD) {
        $_SESSION['logged_in'] = true;
    } else {
        $error = "Hibás felhasználónév vagy jelszó!";
    }
}

// Kijelentkezés
if (isset($_GET['logout'])) {
    session_destroy();
    header('Location: admin.php');
    exit();
}

// Bejelentkezés ellenőrzése
if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    // Bejelentkező űrlap megjelenítése
    ?>
    <!DOCTYPE html>
    <html lang="hu">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Admin Bejelentkezés</title>
        <style>
            body { font-family: Arial, sans-serif; display: flex; justify-content: center; align-items: center; height: 100vh; margin: 0; background-color: #f0f0f0; }
            form { background: white; padding: 20px; border-radius: 5px; box-shadow: 0 0 10px rgba(0,0,0,0.1); }
            input { display: block; margin: 10px 0; padding: 5px; width: 200px; }
            input[type="submit"] { background-color: #4CAF50; color: white; border: none; cursor: pointer; }
            .error { color: red; margin-bottom: 10px; }
        </style>
    </head>
    <body>
        <form method="post" action="">
            <?php if (isset($error)) echo "<p class='error'>$error</p>"; ?>
            <input type="text" name="username" placeholder="Felhasználónév" required>
            <input type="password" name="password" placeholder="Jelszó" required>
            <input type="submit" name="login" value="Bejelentkezés">
        </form>
    </body>
    </html>
    <?php
    exit();
}

// Üzenet mentése
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['admin_message'])) {
    $message = $_POST['admin_message'];
    $sql = "INSERT INTO admin_uzenet (uzenet, created_at) VALUES (?, NOW())";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $message);
    $stmt->execute();
    $stmt->close();
}

// Jelenlegi üzenet lekérése
$currentMessage = "";
$sql = "SELECT uzenet FROM admin_uzenet ORDER BY id DESC LIMIT 1";
$result = $conn->query($sql);
if ($result && $result->num_rows > 0) {
    $row = $result->fetch_assoc();
    $currentMessage = $row["uzenet"];
}

$conn->close();
?>

<!DOCTYPE html>
<html lang="hu">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Panel - Üzenet Kezelés</title>
    <script src="https://cdn.quilljs.com/1.3.6/quill.js"></script>
    <link href="https://cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet">
    <style>
        body { font-family: Arial, sans-serif; line-height: 1.6; padding: 20px; }
        h1 { color: #333; }
        #editor-container { height: 400px; margin-bottom: 20px; }
        input[type="submit"] { background-color: #4CAF50; color: white; padding: 10px 15px; border: none; cursor: pointer; margin-top: 10px; }
        input[type="submit"]:hover { background-color: #45a049; }
        .logout { float: right; }
        .ql-editor { min-height: 300px; }
        
        /* Villogó szöveg stílus */
        @keyframes blink {
            0% { opacity: 1; }
            50% { opacity: 0; }
            100% { opacity: 1; }
        }
        .ql-blink {
            animation: blink 1s linear infinite;
        }
        
        /* Egyedi gomb stílus a toolbar-ban */
        .ql-blink-button::after {
            content: "Villog";
        }
    </style>
</head>
<body>
    <h1>Admin Panel - Üzenet Kezelés</h1>
    <a href="?logout" class="logout">Kijelentkezés</a>
    <form method="post" action="" onsubmit="return submitForm();">
        <div id="editor-container"></div>
        <input type="hidden" name="admin_message" id="admin_message">
        <input type="submit" value="Üzenet Mentése">
    </form>

    <script>
        // Egyedi Blot definiálása a villogó szöveghez
        let Inline = Quill.import('blots/inline');
        class BlinkBlot extends Inline { }
        BlinkBlot.blotName = 'blink';
        BlinkBlot.tagName = 'span';
        BlinkBlot.className = 'ql-blink';
        Quill.register(BlinkBlot);

        // Quill inicializálása
        var quill = new Quill('#editor-container', {
            theme: 'snow',
            modules: {
                toolbar: {
                    container: [
                        [{ 'header': [1, 2, 3, 4, 5, 6, false] }],
                        ['bold', 'italic', 'underline', 'strike'],
                        [{ 'color': [] }, { 'background': [] }],
                        [{ 'font': [] }],
                        [{ 'size': ['small', false, 'large', 'huge'] }],
                        [{ 'align': [] }],
                        ['blockquote', 'code-block'],
                        [{ 'list': 'ordered'}, { 'list': 'bullet' }],
                        ['link', 'image'],
                        ['clean'],
                        ['blink'] // Új villogó gomb
                    ],
                    handlers: {
                        'blink': function() {
                            let range = this.quill.getSelection();
                            if (range) {
                                this.quill.format('blink', !this.quill.getFormat(range)['blink']);
                            }
                        }
                    }
                }
            },
        });

        // Jelenlegi üzenet betöltése
        quill.root.innerHTML = <?php echo json_encode($currentMessage); ?>;

        function submitForm() {
            document.getElementById('admin_message').value = quill.root.innerHTML;
            return true;
        }

        // Egyedi ikon hozzáadása a villogó gombhoz
        let blinkButton = document.querySelector('.ql-blink');
        if (blinkButton) {
            blinkButton.classList.add('ql-blink-button');
        }
    </script>
</body>
</html>